EndUserFiles
Get EndUserFile summaries
Get a page of an end user’s files, newest first, with the parse status, field validation counts and email classification the full files response carries inside parsed_results, but without the parsed bodies themselves.
GET
/
api
/
end_users
/
{end_user_id_or_heron_id}
/
files
/
summary
Get EndUserFile summaries
curl --request GET \
--url https://app.herondata.io/api/end_users/{end_user_id_or_heron_id}/files/summary \
--header 'x-api-key: <api-key>'import requests
url = "https://app.herondata.io/api/end_users/{end_user_id_or_heron_id}/files/summary"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://app.herondata.io/api/end_users/{end_user_id_or_heron_id}/files/summary', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"_meta": {
"next_url": "<string>",
"num_results": 123,
"page": 123,
"pages": 123,
"per_page": 123,
"prev_url": "<string>",
"total": 123
},
"files": [
{
"is_non_actionable_email": true,
"parse_status": "classifying",
"validation_counts": {
"failed": 123,
"not_applicable": 123,
"passed": 123
},
"bank_statement": null,
"created": "2023-11-07T05:31:56Z",
"file_class": "<string>",
"file_source_metadata": {},
"filename": "<string>",
"heron_id": "<string>",
"iso_application": {
"heron_id": "iso_6hBjQT9k6KP2rLCXwjUJff",
"processing_status": "processed"
},
"latest_parsed_at": "2023-11-07T05:31:56Z",
"num_pages": 123,
"page_classes": {},
"parent_heron_id": "<string>",
"processing_error": "<string>",
"reference_id": "<string>",
"renamed_filename": "<string>"
}
]
}Authorizations
Path Parameters
Query Parameters
Pagination page number
Required range:
x >= 1Pagination limit per page
Required range:
1 <= x <= 200Filter to these file classes. Repeat the parameter for more than one.
Was this page helpful?
⌘I
Get EndUserFile summaries
